#
# spec file for package libmad
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname libmad0
Name:           libmad
Summary:        An MPEG audio decoder library
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://www.underbit.com/products/mad/
Version:        0.15.1b
Release:        1.7
Source:         http://switch.dl.sourceforge.net/sourceforge/mad/libmad-%{version}.tar.bz2
Patch0:         libmad-0.15.1b-automake.patch
Patch1:         libmad-0.15.1b-pkgconfig.patch
Patch2:         libmad-0.15.1b-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
Provides:       mad = %version-%release
Obsoletes:      mad < %version-%release

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD supports high quality 24-bit PCM output for modern audio
technologies. MAD computes using 100% fixed-point (integer)
computation, so you can run it without a floating point unit.


%package -n %libname
Summary:        An MPEG audio decoder library
Group:          System/Libraries

%description -n %libname
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD supports high quality 24-bit PCM output for modern audio
technologies. MAD computes using 100% fixed-point (integer)
computation, so you can run it without a floating point unit.

%package devel
Summary:        Development package for libmad
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Provides:       mad-devel = %version-%release
Obsoletes:      mad-devel < %version-%release

%description devel
This package contains the header files and static libraries needed to
develop applications with libmad.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

# new autoconf does not support deprecated declare (10 years in deprecation)
sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
autoreconf -fi
%configure \
	--enable-accuracy \
	--disable-static \
	--with-pic
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
install -D -m0644 mad.pc "%{buildroot}%{_libdir}/pkgconfig/mad.pc"

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION
%{_libdir}/libmad.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/mad.h
%{_libdir}/libmad.so
%{_libdir}/pkgconfig/mad.pc

%changelog
* Sun Sep 15 2013 scarabeus@opensuse.org
- Fix install stage.
* Sun Sep 15 2013 scarabeus@opensuse.org
- Fix copy&pasto of wrong dependency
* Fri Jul  5 2013 scarabeus@opensuse.org
- Depend on proper library, remove needless assignment.
* Fri Jul  5 2013 scarabeus@opensuse.org
- Use correct group.
* Fri Jul  5 2013 scarabeus@opensuse.org
- Fixup to adhere openSUSE specfile requirements.
* Tue May 15 2012 seife+obs@b1-systems.com
- fix build on > 12.1 by BuildRequires: autoconf automake libtool
- call autoreconf to rebuild configure from patched configure.ac
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- disable static and remove .la files
- patch away CFLAGS mangling completely
* Sun Aug  9 2009 pascal.bleser@opensuse.org
- add patch to keep -O2 in CFLAGS
- pass --enable-accuracy
* Fri Sep 19 2008 detlef@links2linux.de
- provides mad and mad-devel
* Thu Sep 18 2008 detlef@links2linux.de
- follow shared library package policy
* Mon Mar 13 2006 detlef@links2linux.de
- add new patch for pkgconfig/mad.pc
* Sun Mar  5 2006 detlef@links2linux.de
- add pkgconfig file
* Tue Sep 20 2005 henne@links2linux.de
- First packman release
